#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "timer.h"

int main (int argc, char *argv[]) {
	int T = 4, N = 1026, x = 11;
	if (argc > 1 && argc != 4) {
		printf("usage: ./jacobi time_steps input_size modul0 \n");
		exit(0);
	}

	if (argc == 4) {
		T = atoi(argv[1]);
		N = atoi(argv[2]);
		x = atoi(argv[3]);
       }

	int a[N], b[N];
	srand (time(NULL));
	for (int i = 0; i < N; ++i){
		a[i] = rand() % x;
	}

	for (int t = 0; t < T; ++t) {
                for (int i = 1; i < N-1; ++i)
                        b[i] = (a[i-1] + a[i] + a[i+1]) / 3;
                for (int i = 1; i < N-1; ++i)
                        a[i] = b[i];
        }


	return 0;
}
